Bug 145221 - php does not have GD support
php does not have GD support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 11:19 EST by John Eagle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-16 13:03:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Eagle 2005-01-15 11:19:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
No GD commands work in php 4.3.10 even though  '--with-gd=shared' ' 
is set.

for all GD commands get "Fatal error: Call to undefined function: 
gd_info() in ..........."




Version-Release number of selected component (if applicable):
4.3.10

How reproducible:
Always

Steps to Reproduce:
1.
2.<?php
var_dump(gd_info());
?> 
3.
    

Actual Results:  Fatal error: Call to undefined function: gd_info() 
in ..........."


Additional info:
Comment 1 Sitsofe Wheeler 2005-01-15 17:16:04 EST
I know it sounds obvious but what does "rpm -q gd" say (just so we can rule it out)?
Comment 2 John Eagle 2005-01-15 18:58:48 EST
rpm -q gd = gd-2.0.28-1.30.1
Comment 3 Sitsofe Wheeler 2005-01-16 04:26:01 EST
(I assume you are using the default FC3 version of FC3 rather than one which is
hand compiled)
What is the output of rpm -qa | grep php?
Comment 4 John Eagle 2005-01-16 10:35:04 EST
I use the downloaded version without any changes. I have been using the update 
program. The original version was built around the end of December. I only 
noticed php not having GD support around January 10th.
 (I have no knowledge of how to hand compile Fedora. I am a new user of 
Linux/Unix/Fedora)

rpm -qa | grep php = NOTHING
Comment 5 John Eagle 2005-01-16 10:36:24 EST
Oops sorry its:
rpm -qa | grep php = 
php-pear-4.3.10-3.2
php-ldap-4.3.10-3.2
php-4.3.10-3.2
php-mysql-4.3.10-3.2
Comment 6 Joe Orton 2005-01-16 13:03:13 EST
Per the release notes, the PHP GD extension is now in a separate
package, php-gd.  Run:

  # yum install php-gd


Note You need to log in before you can comment on or make changes to this bug.